Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07792 Graphics Major Always Nov 17, 2020, 17:40 Nov 27, 2020, 20:08
Tester AexRyu View Status Public Platform MAME (Official Binary)
Assigned To Haze Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver segas16a.cpp
Version 0.226 Fixed in Version 0.227 Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07792: quartet, quarteta, quartet2, quartet2a: The moving floors that appear after the 15th stage are not displayed.
Description This bug is found in MAME226 and older versions.
Compare "True" and "MAME". Please pay attention to the "floor that moves left and right" and the "hatch that moves up and down" that appear from the 15th stage.
The 10 "moving floors" and 4 "moving walls" that should be on this stage are not visible.

True(Arcade board)


MAME
Steps To Reproduce Reach up to 15 stages.
There are some "moving floors" in question at this stage. However, in MAME, collisions exist but are not displayed.
The same problem occurs with both Quartet and Quartet2.
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems quartet, quarteta, quartet2, quartet2a
Attached Files
png file icon 0001desp.png (1,322,703 bytes) Nov 17, 2020, 17:40 Uploaded by AexRyu
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.18163
MetalGod
Senior Tester
Nov 19, 2020, 06:43
edited on: Nov 19, 2020, 06:45
I haven't seen any collision with the supposedly invisible moving floor in any gameplay video in MAME.
Not even here with 4 players crossing it:


Could this be related with the difficulty dip switch of the game? I bet the moving floors will appear in hard/hardest mode.
User avatar
No.18164
Haze
Senior Tester
Nov 19, 2020, 10:24
if you could research that it would be appreciated, this is an unusual one, especially considering that the MCU *is* dumped and emulated here, which pretty much rules out it being a subtle protection issue.
User avatar
No.18166
MetalGod
Senior Tester
Nov 19, 2020, 16:59
edited on: Nov 19, 2020, 17:01
Tested on mame 0.226, hardest difficulty.

The bug is there, and yes, the moving floor is invisible:


Confirmed!
User avatar
No.18167
Haze
Senior Tester
Nov 19, 2020, 20:56
it seems to work fine on quartet2a, the unprotected set. I wonder if there's actually a problem with the MCU dump or the hookup of it.
User avatar
No.18168
Haze
Senior Tester
Nov 19, 2020, 21:14
ok, fixed I think, protection hookup was incomplete
User avatar
No.18169
Haze
Senior Tester
Nov 19, 2020, 21:24
https://github.com/mamedev/mame/pull/7499